Subject: Re: bug#46756: guix deploy not copying remote-gexp.scm

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 27 Oct 2021 21:20:43 -0400

Hi!

[email-masked] (GNU bug Tracking System) writes:

> I believe this is fixed by b19250eec6f92308f237a09a43e8e3e2355345b9,
> lemme know!
>
> Following our discussion on IRC, I noticed that derivations would
> actually be built locally, and thus their output (‘remote-exp.scm’
> above) would not be found.
>
> Why are they getting built locally?  Because ‘guix deploy’ installs a
> build handler.  Thus, when ‘remote-eval’ makes this call:
>
>   (build-derivations remote inputs)
>
> the build handler kicks in and starts building locally rather than on
> ‘remote’.  In fact, that’s more of a bug in ‘build-accumulator’ in (guix
> store); it should check whether it’s talking to the right store.
>
> Thanks,
> Ludo’.

It works a treat!  Thank you! :-)

It'll make keeping my remote machine updated with 'guix deploy' much
smoother.

Thanks again,

Maxim